## Class TActiveRecordChangeEventParameter

Description

TActiveRecordChangeEventParameter class

TActiveRecordChangeEventParameter encapsulates the parameter data for ActiveRecord change commit events that are broadcasted. The following change events may be raise: TActiveRecord::OnInsert, TActiveRecord::OnUpdate and TActiveRecord::OnDelete. The IsValid parameter can be set to false to prevent the requested change event to be performed.

- since: 3.1.2
- version: $Id: TActiveRecord.php 2392 2008-03-07 17:01:44Z xue $
- author: Wei Zhuo<weizhuo@gmail.com>

Located in /Data/ActiveRecord/TActiveRecord.php (line 982)

    TComponent
       |
       --TEventParameter
          |
          --TActiveRecordChangeEventParameter

Method Summary
boolean getIsValid ()
void setIsValid (boolean $value)
Methods
getIsValid (line 989)

- return: whether the event should be performed.
- access: public

boolean getIsValid ()
setIsValid (line 997)

- access: public

void setIsValid (boolean $value)

- boolean $value: set to false to prevent the event.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:29:40 -0400 by phpDocumentor 1.3.0RC4